routes/web.php
<?php

use App\Services\CodeService;

Auth::routes();

Route::middleware('auth')->group(function () {

    Route::get('/', 'HomeController@index')->name('home');
    Route::get('/profile', 'HomeController@index')->name('profile');
    Route::resource('codes', 'CodeController')->except(['show']);
    Route::resource('users', 'UserController')->except(['show']);

    Route::get('/codes/reset', function(CodeService $codeService) {
        $codeService->resetSerialNumbers();
        return redirect(route('codes.index'));
    })->name('codes.reset');

});

resources/views/layouts/partials/go-back-button.blade.php
<div class="text-center m-t-15 m-b-15">
    <a href="{{ $link or '#' }}" class="btn btn-primary"><i class="zmdi zmdi-long-arrow-right"></i> @lang('misc.go_back')</a>
</div>

resources/views/layouts/partials/left-sidebar.blade.php
<!-- Left Sidebar Start -->
<div class="left side-menu">
    <div class="sidebar-inner slimscrollleft">

        <!-- User -->
        <div class="user-box">
            <div class="user-img">
                @php
                $email = "{{ request()->user()->email }}";
                $default = "";
                $size = 72;
                $gravatarUrl = "https://www.gravatar.com/avatar/" . md5( strtolower( trim( $email ) ) ) . "?d=" . urlencode( $default ) . "&s=" . $size;
                @endphp
                <img src="{{ $gravatarUrl }}" alt="{{ request()->user()->name }}" title="{{ request()->user()->name }}" class="img-circle img-thumbnail img-responsive">
            </div>
            <h5><a href="#">{{ str_limit(request()->user()->name, 15) }}</a></h5>
            <ul class="list-inline">
                <li>
                    <a href="{{ route('users.edit', auth()->user()->getAuthIdentifier()) }}" class="text-primary">
                        <i class="zmdi zmdi-account"></i>
                    </a>
                </li>
                <li>
                    <form action="{{ url('logout') }}" method="post">
                        {!! csrf_field() !!}
                        <button type="submit" class="btn btn-link text-danger" style="padding: 0">
                            <i class="zmdi zmdi-power"></i>
                        </button>
                    </form>
                </li>
            </ul>
        </div>
        <!-- End User -->

        <!--- Sidemenu -->
        <div id="sidebar-menu">
            <ul>
                <!-- <li class="text-muted menu-title">Navigation</li> -->
                <li><a href="{{ route('home') }}" class="@if (request()->is('home*')) active @endif waves-effect"><i class="zmdi zmdi-view-dashboard"></i><span>@lang('nav.home')</span></a></li>
                <li><a href="{{ route('codes.index') }}" class="@if (request()->is('codes/*')) active @endif waves-effect"><i class="zmdi zmdi-n-5-square"></i><span>@lang('nav.codes')</span></a></li>
                <li><a href="{{ route('users.index') }}" class="@if (request()->is('users/*')) active @endif waves-effect"><i class="zmdi zmdi-account"></i><span>@lang('nav.users')</span></a></li>
            </ul>
            <div class="clearfix"></div>
        </div>

        <!-- Sidebar -->
        <div class="clearfix"></div>

    </div>
</div>
<!-- Left Sidebar End -->

resources/views/layouts/partials/top-bar.blade.php
<!-- Top Bar Start -->
<div class="topbar">

    <!-- LOGO -->
    <div class="topbar-left">
        <a href="{{ route('home') }}" class="logo">
            <span>Dakahlia <span>Traffic</span></span>
            <i class="zmdi zmdi-layers"></i>
        </a>
    </div>

    <!-- Button mobile view to collapse sidebar menu -->
    <div class="navbar navbar-default" role="navigation">
        <div class="container">

            <!-- Page title -->
            <ul class="nav navbar-nav navbar-left">
                <li>
                    <button class="button-menu-mobile open-left">
                        <i class="zmdi zmdi-menu"></i>
                    </button>
                </li>
                <li>
                    <h4 class="page-title">{{ $pageTitle or trans('layout.dashboard') }}</h4>
                </li>
            </ul>

            <!-- Right(Notification and Searchbox -->
            <ul class="nav navbar-nav navbar-right">
                <li class="hidden-xs">
                    <form id="search-form" role="search" class="app-search" action="{{ $searchAction or route('codes.index') }}" method="get">
                        <input type="text" placeholder="@lang('layout.search')" class="form-control" name="q" value="{{ request('q') }}">
                    </form>
                </li>
            </ul>

        </div><!-- end container -->
    </div><!-- end navbar -->
</div>
<!-- Top Bar End -->